Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools CMS Java API Reference 10g Release 3 (10.1.3) B25377-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cms
Class OriginatorInfo

`java.lang.Object
oracle.security.crypto.cms.OriginatorInfo`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class OriginatorInfo
extends java.lang.Object
implements oracle.security.crypto.asn1.ASN1Object

Provides information about the message originator.

`OriginatorInfo` forms a part of a CMS `enveloped-data` structure and contains Certificates and CRLs.

Please note that the `OriginatorInfo` is not supported by PKCS#7 Version 1.5.

See Also:
  `CMSEnvelopedDataContentInfo`, `CMSEnvelopedDataOutputStream`, `CMSAuthenticatedDataContentInfo`, `CMSAuthenticatedDataOutputStream`

Constructor Summary
`OriginatorInfo()` Creates an empty `OriginatorInfo`.
`OriginatorInfo(java.io.InputStream is)` Creates a `OriginatorInfo` by reading the BER encoding from the specified input stream.
`OriginatorInfo(java.util.Vector certSet, java.util.Vector certRevocationLists)` Creates a `OriginatorInfo` using the specified Certificates and CRLs.

Method Summary
`void` | `addCertificate(java.util.Vector certs)` Add a collection of certificates.
`void` | `addCertificate(oracle.security.crypto.cert.X509 cert)` Add a certificate.
`void` | `addCRL(oracle.security.crypto.cert.CRL crl)` Add a CRL.
`void` | `addCRL(java.util.Vector crls)` Add a collection of CRLs.
`java.util.Vector` | `getCertificateRevocationLists()` Returns the collection of CRLs.
`java.util.Vector` | `getCertificateSet()` Returns the collection of X509 certificates.
`void` | `input(java.io.InputStream is)` Initialize this object by reading a BER encoded OriginatorInfo structure from the specified input stream.
`int` | `length()` Returns the length of this object's encoding.
`void` | `output(java.io.OutputStream os)` Output this object's encoding to the specified output stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OriginatorInfo

    public OriginatorInfo()

  Creates an empty `OriginatorInfo`.

### OriginatorInfo

    public OriginatorInfo(java.util.Vector certSet,
                          java.util.Vector certRevocationLists)

  Creates a `OriginatorInfo` using the specified Certificates and CRLs.
Parameters:
  `certSet` - A collection of `X509` Certificates.
  `certRevocationLists` - A collection of `CRL`s.

### OriginatorInfo

    public OriginatorInfo(java.io.InputStream is)
                   throws java.io.IOException

  Creates a `OriginatorInfo` by reading the BER encoding from the specified input stream.
Parameters:
  `is` - The input stream.
Throws:
  `java.io.IOException` - An I/O error or the input encoding is incorrect.

Method Detail

### addCertificate

    public void addCertificate(oracle.security.crypto.cert.X509 cert)

  Add a certificate.
  Parameters:
    `cert` - The X509 Certificate.

### addCertificate

    public void addCertificate(java.util.Vector certs)

  Add a collection of certificates.
  Parameters:
    `certs` - A `Vector` containing X509 Certificates.

### addCRL

    public void addCRL(oracle.security.crypto.cert.CRL crl)

  Add a CRL.
  Parameters:
    `crl` - The CRL.

### addCRL

    public void addCRL(java.util.Vector crls)

  Add a collection of CRLs.
  Parameters:
    `crls` - A `Vector` containing CRLs.

### getCertificateSet

    public java.util.Vector getCertificateSet()

  Returns the collection of X509 certificates.
  Returns:
    `Vector` containing X509 Certificates or `null` if no certificates are present.

### getCertificateRevocationLists

    public java.util.Vector getCertificateRevocationLists()

  Returns the collection of CRLs.
  Returns:
    `Vector` containing CRLs or `null` if no CRLs are present.

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Initialize this object by reading a BER encoded OriginatorInfo structure from the specified input stream.
  Specified by:
    `input` in interface `oracle.security.crypto.util.Streamable`
  Parameters:
    `is` - The input stream.
  Throws:
    `java.io.IOException` - The input encoding is incorrect or an I/O error occurred.

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Output this object's encoding to the specified output stream.
  Specified by:
    `output` in interface `oracle.security.crypto.util.Streamable`
  Parameters:
    `os` - The output stream.
  Throws:
    `java.io.IOException` - An I/O error occurs.

### length

    public int length()

  Returns the length of this object's encoding.
  Specified by:
    `length` in interface `oracle.security.crypto.util.Streamable`
  Returns:
    The length in bytes.

Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools CMS Java API Reference 10g Release 3 (10.1.3) B25377-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.